<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KTimeZoneBackend</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>KTimeZoneBackend Class Reference</h1>
<code>from PyKDE4.kdecore import *</code>
<p>



<h2>Detailed Description</h2>


<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj185695372">__init__</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj185695020">__init__</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj185708748">__init__</a> (self, <a href="../kdecore/KTimeZoneBackend.html">KTimeZoneBackend</a> other)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj185727052">__init__</a> (self, <a href="../kdecore/KTimeZoneSource.html">KTimeZoneSource</a> source, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> countryCode=QString(), float latitude=KTimeZone.UNKNOWN, float longitude=KTimeZone.UNKNOWN, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> comment=QString())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KTimeZoneBackend.html">KTimeZoneBackend</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj185709644">clone</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj185726188">hasTransitions</a> (self, <a href="../kdecore/KTimeZone.html">KTimeZone</a> caller)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj185725996">isDst</a> (self, <a href="../kdecore/KTimeZone.html">KTimeZone</a> caller, time_t t)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj185711916">isDstAtUtc</a> (self, <a href="../kdecore/KTimeZone.html">KTimeZone</a> caller, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdatetime.html">QDateTime</a> utcDateTime)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj185712268">offset</a> (self, <a href="../kdecore/KTimeZone.html">KTimeZone</a> caller, time_t t)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj185711436">offsetAtUtc</a> (self, <a href="../kdecore/KTimeZone.html">KTimeZone</a> caller, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdatetime.html">QDateTime</a> utcDateTime)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int, int (secondOffset)&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj185710956">offsetAtZoneTime</a> (self, <a href="../kdecore/KTimeZone.html">KTimeZone</a> caller, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdatetime.html">QDateTime</a> zoneDateTime, )</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj185709260">type</a> (self)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj185695372"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Implements KTimeZone.KTimeZone().
</p></div></div><a class="anchor" name="obj185695020"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Implements KTimeZone.KTimeZone(const QString&amp;).
</p></div></div><a class="anchor" name="obj185708748"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KTimeZoneBackend.html">KTimeZoneBackend</a>&nbsp;</td>
<td class="paramname"><em>other</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj185727052"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KTimeZoneSource.html">KTimeZoneSource</a>&nbsp;</td>
<td class="paramname"><em>source</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>countryCode=QString()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">float&nbsp;</td>
<td class="paramname"><em>latitude=KTimeZone.UNKNOWN</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">float&nbsp;</td>
<td class="paramname"><em>longitude=KTimeZone.UNKNOWN</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>comment=QString()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Constructs a time zone.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>source</em>&nbsp;</td><td> reader/parser for the database containing this time zone. This will
be an instance of a class derived from KTimeZoneSource.

<tr><td></td><td valign="top"><em>name</em>&nbsp;</td><td> in system-dependent format. The name must be unique within any
KTimeZones instance which contains this KTimeZone.

<tr><td></td><td valign="top"><em>countryCode</em>&nbsp;</td><td> ISO 3166 2-character country code, empty if unknown

<tr><td></td><td valign="top"><em>latitude</em>&nbsp;</td><td> in degrees (between -90 and +90), UNKNOWN if not known

<tr><td></td><td valign="top"><em>longitude</em>&nbsp;</td><td> in degrees (between -180 and +180), UNKNOWN if not known

<tr><td></td><td valign="top"><em>comment</em>&nbsp;</td><td> description of the time zone, if any
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj185709644"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KTimeZoneBackend.html">KTimeZoneBackend</a> clone</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Creates a copy of this instance.
</p>
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd> Every inherited class must reimplement clone().
</dd></dl> </p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> new copy
</dd></dl>
</p></div></div><a class="anchor" name="obj185726188"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool hasTransitions</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KTimeZone.html">KTimeZone</a>&nbsp;</td>
<td class="paramname"><em>caller</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Implements KTimeZone.hasTransitions().
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>caller</em>&nbsp;</td><td> calling KTimeZone object
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj185725996"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isDst</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KTimeZone.html">KTimeZone</a>&nbsp;</td>
<td class="paramname"><em>caller</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">time_t&nbsp;</td>
<td class="paramname"><em>t</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Implements KTimeZone.isDst().
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>caller</em>&nbsp;</td><td> calling KTimeZone object
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj185711916"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isDstAtUtc</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KTimeZone.html">KTimeZone</a>&nbsp;</td>
<td class="paramname"><em>caller</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdatetime.html">QDateTime</a>&nbsp;</td>
<td class="paramname"><em>utcDateTime</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Implements KTimeZone.isDstAtUtc().
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>caller</em>&nbsp;</td><td> calling KTimeZone object
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj185712268"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int offset</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KTimeZone.html">KTimeZone</a>&nbsp;</td>
<td class="paramname"><em>caller</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">time_t&nbsp;</td>
<td class="paramname"><em>t</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Implements KTimeZone.offset().
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>caller</em>&nbsp;</td><td> calling KTimeZone object
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj185711436"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int offsetAtUtc</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KTimeZone.html">KTimeZone</a>&nbsp;</td>
<td class="paramname"><em>caller</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdatetime.html">QDateTime</a>&nbsp;</td>
<td class="paramname"><em>utcDateTime</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Implements KTimeZone.offsetAtUtc().
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>caller</em>&nbsp;</td><td> calling KTimeZone object
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj185710956"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int, int (secondOffset) offsetAtZoneTime</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KTimeZone.html">KTimeZone</a>&nbsp;</td>
<td class="paramname"><em>caller</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdatetime.html">QDateTime</a>&nbsp;</td>
<td class="paramname"><em>zoneDateTime</em>, </td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Implements KTimeZone.offsetAtZoneTime().
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>caller</em>&nbsp;</td><td> calling KTimeZone object
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj185709260"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a> type</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the class name of the data represented by this instance.
</p>
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd> Every inherited class must reimplement type().
</dd></dl> </p>
<p>
This base class returns "KTimeZone".
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the class name
</dd></dl>
</p></div></div>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
